# IllegalPluginException (SubServers.Host)

net.ME1312.SubServers.Host.Library.Exception

## Class IllegalPluginException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.ReflectiveOperationException
      - - java.lang.reflect.InvocationTargetException
        - - net.ME1312.SubServers.Host.Library.Exception.IllegalPluginException

All Implemented Interfaces:
  java.io.Serializable

    public class IllegalPluginException
    extends java.lang.reflect.InvocationTargetException

Illegal Plugin Exception

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IllegalPluginException(java.lang.Throwable e)`
`IllegalPluginException(java.lang.Throwable e, java.lang.String s)`

### Method Summary

### Methods inherited from class java.lang.reflect.InvocationTargetException

`getCause, getTargetException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IllegalPluginException

    public IllegalPluginException(java.lang.Throwable e)

#### IllegalPluginException

    public IllegalPluginException(java.lang.Throwable e,
                                  java.lang.String s)